Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000020TestLinkNew Featurepublic2005-08-09 19:252010-09-10 19:57
Reporterschlundus 
Assigned To 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8.5 (bug fixing) 
Summary0000020: [SF 900445 ] CSV import of test cases ONLY
DescriptionIt would be nice to be able to import test cases by using
CSV files without re-creating again "component"
and "category" fields, when we use the actual CSV
import feature!

For instance we only can import entire projects,
including components, categories, and test cases.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0000085)
bleachy (reporter)
2005-09-13 18:44

This would be really useful functionality. I'm finding a spreadsheet easier to create test cases in, so it would be handy to be able to import these test cases into existing categories, say from an earlier import.
(0003958)
mhavlat (reporter)
2008-08-12 20:46

I agree to implement upload of CSV file. There must be headers in the first line:
'title','summary','steps','expected results'

Workaround: Convert CSV file into XML. XML import is working from TL 1.7 version.

- Issue History
Date Modified Username Field Change
2005-08-09 19:25 schlundus New Issue
2005-08-09 19:31 schlundus Category Test Specification (tc, comp, cat) => New Feature
2005-09-13 18:44 bleachy Note Added: 0000085
2007-02-19 23:23 mhavlat Project Testlink 1.6.x => TestLink
2008-08-12 20:46 mhavlat Note Added: 0003958
2008-08-12 20:46 mhavlat Status new => acknowledged
2010-09-10 19:57 fman Status acknowledged => closed
2010-09-10 19:57 fman Resolution open => fixed
2010-09-10 19:57 fman Fixed in Version => 1.8.5 (bug fixing)



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker